(defproject wanijo "0.1.0-SNAPSHOT"
  :description "FIXME: write description"
  :url "http://example.com/FIXME"
  :min-lein-version "2.0.0"

  :dependencies [[org.clojure/clojure "1.10.0"]

                 [compojure "1.6.1"]
                 [ring/ring-defaults "0.3.2"]
                 [ring/ring-jetty-adapter "1.7.1"
                  :exclusions [ring/ring-core
                               ring/ring-codec
                               commons-io
                               commons-codec]]
                 [ring/ring-devel "1.7.1"
                  :exclusions [ring/ring-core
                               ring/ring-codec
                               commons-io
                               commons-codec]]

                 [hiccup "1.0.5"]
                 [joshavg/formulare "0.4.0-SNAPSHOT"]

                 [gorillalabs/neo4j-clj "2.0.1"
                  :exclusions [org.bouncycastle/bcprov-jdk15on
                               org.bouncycastle/bcpkix-jdk15on
                               com.github.ben-manes.caffeine/caffeine]]
                 [buddy/buddy-hashers "1.3.0"
                  :exclusions [commons-codec]]

                 [clj-time "0.15.1"]
                 [markdown-clj "1.0.7"]
                 [dorothy "0.0.7"]]

  :profiles {:dev {:dependencies [[javax.servlet/servlet-api "2.5"]
                                  [ring/ring-mock "0.3.2"]]
                   :plugins [[joshavg/lein-neo4j "0.4.0"]
                             [lein-less "1.7.5"]
                             [lein-ring "0.12.5"]
                             [lein-ancient "0.6.15"]
                             [jonase/eastwood "LATEST"]
                             [lein-bikeshed "0.5.1"]
                             [lein-cloverage "1.0.13"]
                             [cider/cider-nrepl "LATEST"]
                             [lein-kibit "LATEST"]]}
             :uberjar {:aot :all
                       :main wanijo.main}}

  :neo4j {:path "neo4j"}
  :repl-options {:init-ns wanijo.framework.repl}
  :ring {:handler wanijo.handler/app}
  :less {:source-paths ["resources/app/stylesheets"]
         :target-path "resources/public/css"}
  :hiera {:cluster-depth 2}
  :eastwood {:namespaces [:source-paths]})
